
D4Science Infrastructure - VM Creation #7702

Provide new VM for hosting tabulardata service in devsec VO

Mar 23, 2017 04:51 PM - Roberto Cirillo

Status: Closed Start date: Mar 23, 2017

Priority: High Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: Publication in new registry service   

Infrastructure: Development Applications list and

version:

 

RAM: 2 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 20 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version:  PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs:  

Smartgears scopes:    

Description

The new VM should have:

2 GB RAM

2 VCPU

java8

it's also need to open the postgres hosted on node7.d.d4science.research-infrastructures.eu for talking with this VM.

I suggest to use one of the following hostnames:

* tabulardata-devsec.d4science.org

* tabulardata-d-d4s.d4science.org

Related issues:

Blocks D4Science Infrastructure - Task #8434: tabular-data-manager service to... Closed May 09, 2017

Blocks D4Science Infrastructure - Task #8660: tabular-data-manager service to... Closed May 17, 2017

History

#1 - Mar 23, 2017 05:18 PM - Andrea Dell'Amico

Can we move the postgresql databases on node7.d.d4science.research-infrastructures.eu  to postgresql-srv-dev.d4science.org?

#2 - Mar 23, 2017 05:38 PM - Lucio Lelii

yes

#3 - Apr 05, 2017 06:24 PM - Roberto Cirillo

- Priority changed from Normal to High

#4 - Apr 06, 2017 12:05 AM - Pasquale Pagano

- Tracker changed from Task to VM Creation

- RAM set to 2

- CPU set to 2
- DiskSpace set to 20

- Smartgears set to Yes

- data transfer enabled set to No

- PostgreSQL database set to Yes

Please @roberto.cirillo@isti.cnr.it complete the missing information.

#5 - Apr 06, 2017 09:46 AM - Roberto Cirillo

This is a 14 days old ticket (before new rules). I think other info aren't needed because the playbook is already done and I'm ready to run it.

#6 - Apr 06, 2017 11:09 AM - Tommaso Piccioli

Could you please indicate which are the databases that we have to move or copy

from node7.d.d4science.research-infrastructures.eu to postgresql-srv-dev.d4science.org?

#7 - Apr 06, 2017 11:32 AM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 40

tabulardata-devsec.d4science.org ready, Roberto can check the ansible variables before run the playbook.

Anyway I need the info to copy/move the database.

#8 - Apr 06, 2017 11:37 AM - Lucio Lelii

the dbs are Tabulardata and Tabularmetadata

#9 - Apr 06, 2017 02:57 PM - Roberto Cirillo

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

#10 - Apr 06, 2017 05:00 PM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to _InfraScience Systems Engineer

- % Done changed from 40 to 80

I've a problem with the gcube user. It seems I'm not able to run the stopContainer.sh:

gcube@tabulardata-devsec:~$ ./stopContainer.sh 

[sudo] password for gcube: 

 could you check please?

#11 - Apr 06, 2017 05:35 PM - Andrea Dell'Amico

How did you run the playbook?

I just run it with the tag d4science to only run the tasks that configure sudo and the security limits, and the following tasks were executed:

TASK [../library/roles/d4s_user_services_perms : Install the sudoers config that permits the tomcat user to re

start the service] ***

changed: [tabulardata-devsec.d4science.org]

TASK [../library/roles/d4s_user_services_perms : Install the README file that explains where the options files

 are placed and how start/stop the service] ***

changed: [tabulardata-devsec.d4science.org] => (item=[{u'jmx_auth_enabled': False, u'java_opts': u'', u'server

name': u'tabulardata-devsec.d4science.org', u'jmx_controlpass

': u'__omit_place_holder__64a7dfe99b5445cbb80765b27732334a07abf631', u'jmx_auth_dir': u'/var/lib/tomcat_instan

ces/8000/conf', u'app_contexts': [u'whn-manager', u'tabular-d

ata-manager'], u'restart_timeout': 300, u'other_java_opts': u'', u'http_port': 8000, u'user_home': u'/home/gcu

be', u'jmx_enabled': False, u'log_rotation_freq': u'daily', u

'instance_path': u'/home/gcube/tomcat', u'shutdown_port': u'-1', u'jmx_use_ssl': False, u'java_home': u'/usr/l

ib/jvm/java-8-oracle', u'ajp_address': u'127.0.0.1', u'ajp_po

rt': u'8109', u'max_threads': 500, u'log_retain': 30, u'jmx_port': 8186, u'java_gc_opts': u'-XX:+UseConcMarkSw

eepGC', u'access_log_enabled': True, u'skip_smartgears': Fals

e, u'ajp_enabled': False, u'user_shell': u'/bin/bash', u'remote_debugging_port': u'8100', u'unpack': True, u'r

emote_debugging': False, u'http_address': u'0.0.0.0', u'defau

lt_conf': True, u'jmx_monitorpass': u'__omit_place_holder__64a7dfe99b5445cbb80765b27732334a07abf631', u'allowe

d_hosts': [u'0.0.0.0/0'], u'autodeploy': False, u'jmx_disable

_additional_ports': True, u'http_enabled': True, u'user': u'gcube'}, u'README'])
TASK [../library/roles/d4s_user_services_perms : Set the read/write permissions on the tomcat default options 

files] ***

changed: [tabulardata-devsec.d4science.org] => (item={u'jmx_auth_enabled': False, u'java_opts': u'', u'servern

ame': u'tabulardata-devsec.d4science.org', u'jmx_controlpass'

: u'__omit_place_holder__64a7dfe99b5445cbb80765b27732334a07abf631', u'jmx_auth_dir': u'/var/lib/tomcat_instanc

es/8000/conf', u'app_contexts': [u'whn-manager', u'tabular-da

ta-manager'], u'restart_timeout': 300, u'other_java_opts': u'', u'http_port': 8000, u'user_home': u'/home/gcub

e', u'jmx_enabled': False, u'log_rotation_freq': u'daily', u'

instance_path': u'/home/gcube/tomcat', u'shutdown_port': u'-1', u'jmx_use_ssl': False, u'java_home': u'/usr/li

b/jvm/java-8-oracle', u'ajp_address': u'127.0.0.1', u'ajp_por

t': u'8109', u'max_threads': 500, u'log_retain': 30, u'jmx_port': 8186, u'java_gc_opts': u'-XX:+UseConcMarkSwe

epGC', u'access_log_enabled': True, u'skip_smartgears': False

, u'ajp_enabled': False, u'user_shell': u'/bin/bash', u'remote_debugging_port': u'8100', u'unpack': True, u're

mote_debugging': False, u'http_address': u'0.0.0.0', u'defaul

t_conf': True, u'jmx_monitorpass': u'__omit_place_holder__64a7dfe99b5445cbb80765b27732334a07abf631', u'allowed

_hosts': [u'0.0.0.0/0'], u'autodeploy': False, u'jmx_disable_

additional_ports': True, u'http_enabled': True, u'user': u'gcube'})

TASK [../library/roles/d4s_user_services_perms : Change the default security limits] ***

changed: [tabulardata-devsec.d4science.org] => (item={u'l_item': u'nofile', u'domain': u'gcube', u'type': u'so

ft', u'value': 16000})

changed: [tabulardata-devsec.d4science.org] => (item={u'l_item': u'nofile', u'domain': u'gcube', u'type': u'ha

rd', u'value': 16000})

 When a new node is deployed no tags must be listed, otherwise the provisioning will be partial. If this is the case please run it again.

#12 - Apr 06, 2017 05:36 PM - Andrea Dell'Amico

(I still do not understand why nginx and ssl have been disabled).

#13 - Apr 06, 2017 05:51 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

How did you run the playbook?

I just run it with the tag d4science to only run the tasks that configure sudo and the security limits, and the following tasks were executed:

TASK [../library/roles/d4s_user_services_perms : Install the sudoers config that permits the tomcat user t

o restart the service] ***

changed: [tabulardata-devsec.d4science.org]

TASK [../library/roles/d4s_user_services_perms : Install the README file that explains where the options f

iles are placed and how start/stop the service] ***

changed: [tabulardata-devsec.d4science.org] => (item=[{u'jmx_auth_enabled': False, u'java_opts': u'', u'se

rvername': u'tabulardata-devsec.d4science.org', u'jmx_controlpass

': u'__omit_place_holder__64a7dfe99b5445cbb80765b27732334a07abf631', u'jmx_auth_dir': u'/var/lib/tomcat_in

stances/8000/conf', u'app_contexts': [u'whn-manager', u'tabular-d

ata-manager'], u'restart_timeout': 300, u'other_java_opts': u'', u'http_port': 8000, u'user_home': u'/home

/gcube', u'jmx_enabled': False, u'log_rotation_freq': u'daily', u

'instance_path': u'/home/gcube/tomcat', u'shutdown_port': u'-1', u'jmx_use_ssl': False, u'java_home': u'/u

sr/lib/jvm/java-8-oracle', u'ajp_address': u'127.0.0.1', u'ajp_po

rt': u'8109', u'max_threads': 500, u'log_retain': 30, u'jmx_port': 8186, u'java_gc_opts': u'-XX:+UseConcMa

rkSweepGC', u'access_log_enabled': True, u'skip_smartgears': Fals

e, u'ajp_enabled': False, u'user_shell': u'/bin/bash', u'remote_debugging_port': u'8100', u'unpack': True,

 u'remote_debugging': False, u'http_address': u'0.0.0.0', u'defau

lt_conf': True, u'jmx_monitorpass': u'__omit_place_holder__64a7dfe99b5445cbb80765b27732334a07abf631', u'al

lowed_hosts': [u'0.0.0.0/0'], u'autodeploy': False, u'jmx_disable

_additional_ports': True, u'http_enabled': True, u'user': u'gcube'}, u'README'])

TASK [../library/roles/d4s_user_services_perms : Set the read/write permissions on the tomcat default opti

ons files] ***

changed: [tabulardata-devsec.d4science.org] => (item={u'jmx_auth_enabled': False, u'java_opts': u'', u'ser

vername': u'tabulardata-devsec.d4science.org', u'jmx_controlpass'

: u'__omit_place_holder__64a7dfe99b5445cbb80765b27732334a07abf631', u'jmx_auth_dir': u'/var/lib/tomcat_ins

tances/8000/conf', u'app_contexts': [u'whn-manager', u'tabular-da

ta-manager'], u'restart_timeout': 300, u'other_java_opts': u'', u'http_port': 8000, u'user_home': u'/home/

gcube', u'jmx_enabled': False, u'log_rotation_freq': u'daily', u'

instance_path': u'/home/gcube/tomcat', u'shutdown_port': u'-1', u'jmx_use_ssl': False, u'java_home': u'/us

r/lib/jvm/java-8-oracle', u'ajp_address': u'127.0.0.1', u'ajp_por

t': u'8109', u'max_threads': 500, u'log_retain': 30, u'jmx_port': 8186, u'java_gc_opts': u'-XX:+UseConcMar

kSweepGC', u'access_log_enabled': True, u'skip_smartgears': False

, u'ajp_enabled': False, u'user_shell': u'/bin/bash', u'remote_debugging_port': u'8100', u'unpack': True, 

u'remote_debugging': False, u'http_address': u'0.0.0.0', u'defaul
t_conf': True, u'jmx_monitorpass': u'__omit_place_holder__64a7dfe99b5445cbb80765b27732334a07abf631', u'all

owed_hosts': [u'0.0.0.0/0'], u'autodeploy': False, u'jmx_disable_

additional_ports': True, u'http_enabled': True, u'user': u'gcube'})

TASK [../library/roles/d4s_user_services_perms : Change the default security limits] ***

changed: [tabulardata-devsec.d4science.org] => (item={u'l_item': u'nofile', u'domain': u'gcube', u'type': 

u'soft', u'value': 16000})

changed: [tabulardata-devsec.d4science.org] => (item={u'l_item': u'nofile', u'domain': u'gcube', u'type': 

u'hard', u'value': 16000})

 When a new node is deployed no tags must be listed, otherwise the provisioning will be partial. If this is the case please run it again.

 I had run it without tag but the first run was fail because there was a problem with snapshot repository. After that I've run it again with the tag

"ssh_keys" and not "d4science": this is my mistake. Thanks.

#14 - Apr 06, 2017 05:58 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

(I still do not understand why nginx and ssl have been disabled).

 nginx should be enabled... it is running on 80 port while the container is running on 8000 port

#15 - Apr 06, 2017 06:06 PM - Roberto Cirillo

- % Done changed from 80 to 100

the container now is enabled to publish in new registry service

#16 - Apr 07, 2017 11:44 AM - Roberto Cirillo

- Status changed from In Progress to Closed

#18 - May 19, 2017 03:19 PM - Lucio Lelii

- Status changed from Closed to In Progress

- % Done changed from 100 to 90

the backup of th eold database is still missing, tabulardata cannot work with it.

#19 - May 19, 2017 03:20 PM - Lucio Lelii

- Blocks Task #8434: tabular-data-manager service to test : tabulardata-devsec.org added

#20 - May 19, 2017 03:22 PM - Lucio Lelii

- Blocks Task #8660: tabular-data-manager service to test : tabulardata-devnext-d.dev.d4science.org added

#21 - Jun 14, 2017 12:21 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Fixed days ago
